@echo off

set ENCODING=adpcm4hle


echo Rebuilding WSYS....
"%CD%/tool/wsystool.exe" pack "./Audio_Modding/0" "./Audio_Modding/include/0.wsy" --encode-format "%ENCODING%"
"%CD%/tool/wsystool.exe" pack "./Audio_Modding/1" "./Audio_Modding/include/1.wsy" --encode-format "%ENCODING%"
"%CD%/tool/wsystool.exe" pack "./Audio_Modding/2" "./Audio_Modding/include/2.wsy" --encode-format "%ENCODING%"

echo Applying changes to banks....

copy "./Audio_Modding/include/aw_0.wsy" "./Banks" /Y > NUL
copy "./Audio_Modding/include/aw_1.wsy" "./Banks" /Y > NUL
copy "./Audio_Modding/include/aw_2.wsy" "./Banks" /Y > NUL

echo IBNK0
"%CD%/tool/ibnktool.exe" pack 0 "./Audio_Modding/IBNK0" "./Audio_Modding/include/0.bnk" -quiet
echo IBNK1
"%CD%/tool/ibnktool.exe" pack 0 "./Audio_Modding/IBNK1" "./Audio_Modding/include/1.bnk" -quiet
echo IBNK2 
"%CD%/tool/ibnktool.exe" pack 0 "./Audio_Modding/IBNK2" "./Audio_Modding/include/2.bnk" -quiet
echo IBNK3
"%CD%/tool/ibnktool.exe" pack 0 "./Audio_Modding/IBNK3" "./Audio_Modding/include/3.bnk" -quiet
echo IBNK4
"%CD%/tool/ibnktool.exe" pack 0 "./Audio_Modding/IBNK4" "./Audio_Modding/include/4.bnk" -quiet
echo IBNK5
"%CD%/tool/ibnktool.exe" pack 0 "./Audio_Modding/IBNK5" "./Audio_Modding/include/5.bnk" -quiet
echo IBNK6
"%CD%/tool/ibnktool.exe" pack 0 "./Audio_Modding/IBNK6" "./Audio_Modding/include/6.bnk" -quiet
echo IBNK7
"%CD%/tool/ibnktool.exe" pack 0 "./Audio_Modding/IBNK7" "./Audio_Modding/include/7.bnk" -quiet
echo IBNK8
"%CD%/tool/ibnktool.exe" pack 0 "./Audio_Modding/IBNK8" "./Audio_Modding/include/8.bnk" -quiet
echo IBNK9
"%CD%/tool/ibnktool.exe" pack 0 "./Audio_Modding/IBNK9" "./Audio_Modding/include/9.bnk" -quiet
echo IBNK10
"%CD%/tool/ibnktool.exe" pack 0 "./Audio_Modding/IBNK10" "./Audio_Modding/include/10.bnk" -quiet
echo IBNK11
"%CD%/tool/ibnktool.exe" pack 0 "./Audio_Modding/IBNK11" "./Audio_Modding/include/11.bnk" -quiet
echo IBNK12
"%CD%/tool/ibnktool.exe" pack 0 "./Audio_Modding/IBNK12" "./Audio_Modding/include/12.bnk" -quiet



REM echo Replacing sequences.... 
echo Replacing sequences.... 
"%CD%/tool/barctool.exe" pack "./Audio_Modding/Sequences" "./Audio_Modding/include/1.arc" -arc "./Seqs" 

echo Packing BST 
"%CD%/tool/bast.exe" pack "./Audio_Modding/SoundTable/" "./Audio_Modding/include/0.bst" "FFFFFFFFFFFFFF1011000102030405060708"

echo Rebuilding AAF....
"%CD%/tool/jampacked.exe" pack "./Audio_Modding" "./mSound.aaf"
echo Done!
pause